nix-gh/tests/timeout.sh

22 lines
521 B
Bash
Raw Normal View History

# Test the `--timeout' option.
source common.sh
failed=0
2014-08-20 14:21:14 +02:00
messages="`nix-build -Q timeout.nix --timeout 2 2>&1 || failed=1`"
2013-09-02 12:44:30 +02:00
if [ $failed -ne 0 ]; then
echo "error: nix-store succeeded; should have timed out"
exit 1
fi
2013-09-02 12:44:30 +02:00
if ! echo "$messages" | grep -q "timed out"; then
echo "error: build may have failed for reasons other than timeout; output:"
echo "$messages" >&2
exit 1
fi
2013-09-02 12:44:30 +02:00
2014-08-20 14:21:14 +02:00
if nix-build -Q timeout.nix --option build-max-log-size 100; then
2013-09-02 12:44:30 +02:00
echo "build should have failed"
exit 1
fi